summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Antonio Hernández Blas <hba.nihilismus@gmail.com>2010-05-11 22:55:22 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:22 +0200
commit88d10ee7e2266259ecdcd63fea6b7fd8e2f617e4 (patch)
tree7fec73bcd291f52e7de20d2c9c53f11cdb75f5ed
parenta42b30f4b44350ce571ee08c11854c31800cdf3e (diff)
downloadslackbuilds-88d10ee7e2266259ecdcd63fea6b7fd8e2f617e4.tar.gz
slackbuilds-88d10ee7e2266259ecdcd63fea6b7fd8e2f617e4.tar.xz
system/montecarlo: Added to 12.1 repository
-rw-r--r--system/montecarlo/README7
-rw-r--r--system/montecarlo/doinst.sh25
-rw-r--r--system/montecarlo/montecarlo.SlackBuild74
-rw-r--r--system/montecarlo/montecarlo.info8
-rw-r--r--system/montecarlo/slack-desc19
5 files changed, 133 insertions, 0 deletions
diff --git a/system/montecarlo/README b/system/montecarlo/README
new file mode 100644
index 0000000000..01497d81be
--- /dev/null
+++ b/system/montecarlo/README
@@ -0,0 +1,7 @@
+MonteCarlo (A monospace font)
+
+MonteCarlo is a bitmap font suitable for code editors.
+All the characters have the same width, which is ideal
+for alignment. It is loosely derived from the look of
+the Monaco screen font that was available on the old
+MacOS systems.
diff --git a/system/montecarlo/doinst.sh b/system/montecarlo/doinst.sh
new file mode 100644
index 0000000000..e42f5f3968
--- /dev/null
+++ b/system/montecarlo/doinst.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Update mkfontscale and mkfontdir:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/misc
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+# Update the X font indexes:
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
+
+# For some versions before Slackware 12.0
+if [ -x /usr/X11R6/bin/mkfontdir ]; then
+ ( cd /usr/X11R6/lib/X11/fonts/misc
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/X11R6/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/montecarlo/montecarlo.SlackBuild b/system/montecarlo/montecarlo.SlackBuild
new file mode 100644
index 0000000000..ccd6efcb16
--- /dev/null
+++ b/system/montecarlo/montecarlo.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for profont
+
+# Copyright (c) 2008, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=montecarlo
+VERSION=1
+SRCNAM=MonteCarlo-PCF
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM
+tar -xzvf $CWD/$SRCNAM.tgz
+cd $SRCNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+
+# Set the directory for X11 fonts
+XPREF=$(pkg-config --variable=prefix x11) || true
+if [ "$XPREF" = "/usr" ]; then
+ X11DIRFONTS=/usr/share/fonts/misc
+else
+ X11DIRFONTS=/usr/X11R6/lib/X11/fonts/local
+fi
+
+mkdir -p $PKG/$X11DIRFONTS
+cp $TMP/$SRCNAM/* $PKG/$X11DIRFONTS
+cd $PKG
+find . -type f -name "*.pcf" -exec gzip {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/montecarlo/montecarlo.info b/system/montecarlo/montecarlo.info
new file mode 100644
index 0000000000..064708be4d
--- /dev/null
+++ b/system/montecarlo/montecarlo.info
@@ -0,0 +1,8 @@
+PRGNAM="montecarlo"
+VERSION="1"
+HOMEPAGE="http://www.bok.net/MonteCarlo/"
+DOWNLOAD="http://www.bok.net/MonteCarlo/downloads/MonteCarlo-PCF.tgz"
+MD5SUM="503ecb321266fdd2b2baa0a052d8543c"
+MAINTAINER="Antonio Hernández Blas"
+EMAIL="hba.nihilismus@gmail.com"
+APPROVED="David Somero"
diff --git a/system/montecarlo/slack-desc b/system/montecarlo/slack-desc
new file mode 100644
index 0000000000..68979201a0
--- /dev/null
+++ b/system/montecarlo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+montecarlo: MonteCarlo (A monospace font)
+montecarlo:
+montecarlo: MonteCarlo is a bitmap font suitable for code editors.
+montecarlo: All the characters have the same width, which is ideal
+montecarlo: for alignment. It is loosely derived from the look of
+montecarlo: the Monaco screen font that was available on the old
+montecarlo: MacOS systems.
+montecarlo:
+montecarlo: Homepage: http://www.bok.net/MonteCarlo/
+montecarlo:
+montecarlo: